Revit 2020.1 Update – Rebar Constraints

Released on the 21st August this update proves to be very useful for those using Revit for reinforcement modeling as well as some general tools to enhance usability and deliver more productivity. As always, I will not include non-structural features and just focus on the relevant tools for this sector. In this post we will focus in on the rebar constraint tools.

Rebar to Rebar Constraints

This is possibly one of the best new features for the Revit reinforcement tools for several years. The new rebar to rebar constraints allow you to set constraints between rebar objects, in previous releases it was only possible to set constraints to element faces or covers. This new command allows for much better parametric control when bar diameters are changed or when controlling lap lengths. In the image below you can see the B1 and B2 layers for a foundation. The B1 and B2 layers are constrained to the tangent faces of the rebar, if I change the rebar diameter on the B1 layer then the B2 layer and the column starter bars will automatically move! A major improvement.

Rebar to Rebar Constraints 1

In the image below you can see the beam bottom L-bars that are positioned relative to the beam top L-bars which are constrained to the Bottom and top layers in the beam. All these members are fully constrained and ‘intelligent’ and will update when members or bar diameters change.

Rebar to Rebar Constraints 2

Intuitive rebar constraints visualisation and editing

The method that you use to set rebar constraints have been improved and made more intuitive with simple icons and tooltips. Each of these can also have keyboard shortcuts assigned. The space bar will cycle through the various rebar constraints. A blue arrow now shows the positive side of the rebar which takes the guesswork away when setting offsets.

Revit 2020.1 Rebar Constraint Icons and descriptions

RC Detailing Tutorial – Revit 2019

In this short tutorial we will look at the reinforcement of a simple column and foundation. The reinforcement is modelled manually to show you how reinforcement bar is placed in elements. We then schedule the reinforcement to BS8666:2005 and produce a simple drawing.

COLUMN DETAIL

Here is the bending schedule shown below.

RC Bending Schedule

The tutorial is using the Excitech Revit RC template but everything else is standard Revit 2019.

Hope you enjoy the tutorial?

 

LawrenceH

Revit 2018.1 – New Freeform Reinforcement Tool

 

Autodesk are enhancing the reinforcement tools further by implementing a new feature termed as freeform rebar. This new tool currently enables users to add straight bars (Shape Code 00) that follows complex surfaces. The bars will form a complex shape but remain straight for fabrication instructions.

Revit 2018.1 Rebar

The new Freeform Reinforcement tool can be used in a 3D view by first selecting the host face. Note that this tool uses the Select Multiple option so the Space Bar is used to confirm the selection. You next pick the starting surface and then the ending surface and finally press enter to place the bar.

Place Free Form Rebar - Revit 2018.1

This tool is very useful when modelling complex Architecture and Civil structures such as bridges and tunnels. Each bar can be scheduled for a precise length as shown in the image below.

Revit 2018.1 Bending Schedule

Take a look at the YouTube Video to see this tool in action.

Revit 2017.1 & Dynamo Tutorial – Setting All Rebar Visible and Solid in View

As many of you will already know, controlling the visibility of reinforcement within Revit can be challenging and time consuming as each new rebar modelled needs to have the visibility set, for example, you create a new range of rebar and then are required to click ‘View Visibility States’ and then select the views that you wish to see the rebar unobscured and ‘as solid’.

Link to Video: https://youtu.be/BmDQ02GhtfE

revit-rebar-view-visibility

In this tutorial I will take you through the steps required to write your own app to automatically control the rebar visibility, the tutorial will use Dynamo 1.2.1 and Revit 2017. With this tutorial no external packages are required.

Here is the end result of the tutorial shown in the video clip below.

dynamo-player

  1. Open an existing model that contains a 3D view with Reinforcement and leave the 3D view active.
  2. On the Manage ribbon, click the Dynamo Icon and start a new dynamo session.
  3. Create the following nodes as shown below (Leave the Python Script Node to step 4).

revit-rebar-visibility-dynamo

I have labelled each node so you can understand how each node operates but feel free to watch the short tutorial video if you have never used Dynamo before.

4. In the Search Bar in the Node library search for Python and add the Python Script node as shown below.

python-script-node

Double Click the Python Node in the grey area as shown below to open the ‘Edit Python Script’ dialog box.

python-edit-script-node

Copy and Paste the Python Script below and Accept Changes (to Line 35).


import clr
#Import RevitAPI for Rebar Control
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
from Autodesk.Revit.DB.Structure import *

clr.AddReference("System")
from System.Collections.Generic import List

# Import RevitNodes
clr.AddReference('RevitNodes')
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)

clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument

#Assign Inputs and Output
rebarElements = UnwrapElement(IN[0])
views = UnwrapElement(IN[1])

#Change rebar Visibility
TransactionManager.Instance.EnsureInTransaction(doc)
for view in views:
 for rebarElement in rebarElements:
 rebarElement.SetUnobscuredInView(view,1)
 rebarElement.SetSolidInView(view,1)
TransactionManager.Instance.TransactionTaskDone()

OUT = rebarElements

Your Code should now look like the image below.

python-code
Add an additional input to the Python node as shown below and wire the Rebar elements into IN[0] and the view into IN[1]. (Note that even if you are just requiring one view it must be a list for the Python Code to run without errors.)

python-script-node-with-second-input-added

Dynamo Player (Revit 2017.1)

For those of you running Revit 2017.1 you can run this simple tool directly from the Player without having to open Dynamo, this could be very useful for people that want to use these tools without wanting to open Dynamo.

On the Manage Ribbon, select the Dynamo Player Icon as shown below.

dynamo-player-icon

The Dynamo Player will then launch, you need to select the folder icon as shown in the image below and browse to the folder that contains your .dyn files. You can then simply play the script!

dynamo-player-folder

Revit and Dynamo  – Set Rebar Unobscured and solid